MetaTrader compatibility issue on MacOS Catalina

Mon, 14 Oct 2019 16:12

Dear Trader,

Only if you are using MetaTrader for Mac, please note:

The newest update for MacOS called Catalina has introduced a compatibility issue that does not allow MetaTrader programs to function on the platform.

To avoid compatibility problems, postpone the Catalina update until a fix is released.

To keep trading if you have already updated, please use Web Trader, which doesn't require a download, or install Windows onto your Mac system as a second OS, or use within virtualization software like Parallels.

All traders who use the PC or Windows platform are not affected and can continue trading without concern.

Feel free to contact our support department, if any questions appear.

Kind Regards,

MTrading Team